%global _empty_manifest_terminate_build 0
Name:		python-zope-component
Version:	5.0.1
Release:	2
Summary:	Zope Component Architecture
License:	ZPLv2.1
URL:		https://github.com/zopefoundation/zope.component
Source0:	https://github.com/zopefoundation/zope.component/archive/%{version}.tar.gz
BuildArch:	noarch

%description
This package is intended to be independently reusable in any Python project.
This package represents the core of the Zope Component Architecture.
Together with the zope.interface_ package, it provides facilities for
defining, registering and looking up components.

%package -n python3-zope-component
Summary:	Zope Component Architecture
Provides:	python-zope-component
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:       python3-zope-deferredimport
Requires:       python3-zope-deprecation
Requires:       python3-zope-hookable

%description -n python3-zope-component
This package is intended to be independently reusable in any Python project.
This package represents the core of the Zope Component Architecture.
Together with the zope.interface_ package, it provides facilities for
defining, registering and looking up components.

%package help
Summary:	Development documents and examples for zope.component
Provides:	python3-zope-component-doc

%description help
Development documents and examples for zope.component.

%prep
%autosetup -n zope.component-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope-component -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Jul 28 2022 fushanqing <fushanqing@kylinos.cn> - 5.0.1-2
- Unified license name specification

* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 5.0.1-1
- Upgrade to version 5.0.1

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
